# SelectField Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Connected to concrete table DBField. More...

Inheritance diagram for SelectField:
[legend]

List of all members.

## Public Member Functions

| __construct (DialectString $field, $alias)
| getAlias ()
| getName ()
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create (DialectString $field, $alias)

## Private Attributes

| $alias = null

## Detailed Description

Connected to concrete table DBField.

Definition at line 18 of file SelectField.class.php.

## Constructor & Destructor Documentation

SelectField::__construct | ( | DialectString $ | field,
|  | $ | alias |
| ) |  |  |

Definition at line 30 of file SelectField.class.php.

References $alias.

## Member Function Documentation

static SelectField::create | ( | DialectString $ | field,
|  | $ | alias |
| ) |  |  | `[static]`

Returns:
  SelectField

Definition at line 25 of file SelectField.class.php.

References $alias.

Referenced by PropertyProjection::process().

SelectField::getAlias | ( |  | ) |

Implements Aliased.

Definition at line 36 of file SelectField.class.php.

SelectField::getName | ( |  | ) |

Definition at line 41 of file SelectField.class.php.

SelectField::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 49 of file SelectField.class.php.

## Member Data Documentation

SelectField::$alias = null`[private]`

Definition at line 20 of file SelectField.class.php.

Referenced by __construct(), and create().

The documentation for this class was generated from the following file:

- core/OSQL/SelectField.class.php